/***********************************************************************************************************************
 *
 * blueBill Core - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it
 * SCM: https://java.net/hg/bluebill~core-src
 *
 **********************************************************************************************************************/
package it.tidalwave.semantic.vocabulary;

import it.tidalwave.mobile.media.Media;
import it.tidalwave.util.Id;
import it.tidalwave.util.Key;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public final class FoafVocabulary
  {
    private FoafVocabulary()
      {
      }

    public static final String NS_FOAF           = "http://xmlns.com/foaf/0.1/";

    public static final Id ID_FOAF_GIVEN_NAME    = new Id(NS_FOAF + "givenname");
    public static final Id ID_FOAF_DEPICTS       = new Id(NS_FOAF + "depicts");
    public static final Id ID_FOAF_THUMBNAIL     = new Id(NS_FOAF + "thumbnail");
    public static final Id ID_FOAF_PRIMARY_TOPIC = new Id(NS_FOAF + "primaryTopic");

    public static final Id ID_FOAF_DOCUMENT      = new Id(NS_FOAF + "Document");
    public static final Id ID_FOAF_IMAGE         = new Id(NS_FOAF + "Image");
    
//    public static final Key<Document> FOAF_DOCUMENT = new Key<Document>(ID_FOAF_DOCUMENT);
    public static final Key<Media> FOAF_IMAGE    = new Key<Media>(ID_FOAF_IMAGE);
  }
