/***********************************************************************************************************************
 *
 * blueBill Core - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it
 * SCM: https://java.net/hg/bluebill~core-src
 *
 **********************************************************************************************************************/
package it.tidalwave.semantic.vocabulary;

import it.tidalwave.semantic.Type;
import it.tidalwave.util.Id;
import it.tidalwave.util.Key;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public final class RdfsVocabulary
  {
    private RdfsVocabulary()
      {
      }

    public static final String NS_RDFS         = "http://www.w3.org/2000/01/rdf-schema#";

    public static final Id ID_RDFS_LABEL       = new Id(NS_RDFS + "label");

    public static final Key<String> RDFS_LABEL = new Key<String>(ID_RDFS_LABEL.stringValue());
    
    public static final Type TYPE_RDFS_LABEL   = new Type(ID_RDFS_LABEL);
  }
